# Makefile for database modules.
#
# IRC Services is copyright (c) 1996-2002 Andrew Church.
#     E-mail: <achurch@achurch.org>
# Parts written by Andrew Kempe and others.
# This program is free but copyrighted software; see the file COPYING for
# details.

###########################################################################

include ../../Makefile.inc

MODULES = version4.so
OBJECTS-version4.so = extsyms.o fileutil.o

SERVDEPS = $(TOPDIR)/modules/nickserv/nickserv.h \
	$(TOPDIR)/modules/chanserv/chanserv.h \
	$(TOPDIR)/modules/memoserv/memoserv.h \
	$(TOPDIR)/modules/operserv/operserv.h \
	$(TOPDIR)/modules/operserv/akill.h \
	$(TOPDIR)/modules/operserv/maskdata.h \
	$(TOPDIR)/modules/operserv/news.h \
	$(TOPDIR)/modules/operserv/sessions.h \
	$(TOPDIR)/modules/operserv/sline.h \
	$(TOPDIR)/modules/statserv/statserv.h

INCLUDES-extsyms.o = extsyms.h
INCLUDES-fileutil.o = fileutil.h
INCLUDES-version4.o = extsyms.h fileutil.h $(TOPDIR)/encrypt.h \
	$(TOPDIR)/hash.h $(TOPDIR)/language.h $(SERVDEPS)

include ../Makerules

###########################################################################

extsyms.h: $(TOPDIR)/modules/nickserv/nickserv.h \
	   $(TOPDIR)/modules/chanserv/chanserv.h \
	   $(TOPDIR)/modules/operserv/maskdata.h \
	   $(TOPDIR)/modules/statserv/statserv.h
	@touch $@
